PCP-FREE(1)

NAME
pcp-free - report on free and used memory in the system

SYNOPSIS
pcp [pcp options] free [-bkmgroltV?] [-c count] [-s interval]

DESCRIPTION
pcp-free gives a summary display of the total amount of free and used physical memory and swap in the system, as well as the caches used by the kernel.

When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin, -s/ --samples, -t/ --interval, -Z/ --timezone and several other pcp options become indirectly available, see PCPIntro(1) for their descriptions.

OPTIONS
The available command line options are:

-b, --bytes
    Display the amount of memory in bytes.

-c count, --samples=count
    Terminate the display after count iterations. See also -s.

-g, --gigabytes
    Display the amount of memory in gigabytes.

-k, --kilobytes
    Display the amount of memory in kilobytes. This is the default.

-l  Display detailed low and high memory statistics.

-m, --megabytes
    Display the amount of memory in megabytes.

-o  Disable the display of a "buffer adjusted" line. If the -o option is not specified, free subtracts buffer memory from the used memory and adds it to the free memory reported.

-r, --terabytes
    Display the amount of memory in terabytes.

-s delay, --interval=delay
    Activate continuous polling delay seconds apart. You may specify any floating point number for delay, or indeed any valid pmParseInterval(3) specification, which includes microsecond resolution delay times. This can be used in conjunction with the -c option.

-t, --total
    Display a line containing the totals.

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

NOTES
pcp-free is inspired by the free(1) command and aims to be command line and output compatible with it.

The shared memory column should be ignored; it is obsolete.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), free(1), pmParseInterval(3) and environ(7).